STRUCT NAND_FLASH_(9)

NAME
struct nand_flash_dev - NAND Flash Device ID Structure

SYNOPSIS
struct nand_flash_dev {
  char * name;
  int id;
  unsigned long pagesize;
  unsigned long chipsize;
  unsigned long erasesize;
  unsigned long options;
};

MEMBERS

name
    Identify the device type

id  device ID code

pagesize
    Pagesize in bytes. Either 256 or 512 or 0 If the pagesize is 0, then the real pagesize and the eraseize are determined from the extended id bytes in the chip

chipsize
    Total chipsize in Mega Bytes

erasesize
    Size of an erase block in the flash device.

options
    Bitfield to store chip relevant options

DESCRIPTION

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.